/* ＡＩＧライブラリ　SCSIWPサポート関数
	Copyright (C) 2002 by AIG-SOFT
*/
#ifndef	__AIG_SCSIWP__
#define	__AIG_SCSIWP__	1	/* ヘッダー読み込みシンボル */

#include <scsi.h>
#include "defines.h"

/* 定数 */
#define	SCSIWP_W_ENABLE		0	// 書き込み許可
#define	SCSIWP_W_PROTECT	1	// 書き込み禁止
#define	SCSIWP_W_DISABLE	SCSIWP_W_PROTECT
#define	SCSIWP_W_IGNORE		2	// 書き込み無視
#define	SCSIWP_W_CANCEL		SCSIWP_W_IGNORE
#define	SCSIWP_R_DEVICE		0	// デバイス属性
#define	SCSIWP_R_REMOVE		1	// リムーバブル

// 構造体
typedef struct {
	unchar	remove;
	unchar	protect;
} SCSIWP_MODE;

/* SCSIWP関数はプロトタイプ宣言のみ用意 */
#ifdef	__cplusplus	/* G++対応 */
extern	"C" {
#endif

int	S_SCSIWP_CHECK(void);
int	S_SCSIWP_PROTECT(unlong,unchar);
int	S_SCSIWP_REMOVE(unlong,unchar);
int	S_SCSIWP_MODE(unlong,SCSIWP_MODE *);

#ifdef	__cplusplus
}
#endif

#endif	// __AIG_SCSIWP__
